umbrello: DiagramPropertiesPage Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
DiagramPropertiesPage Class Reference

`#include <diagrampropertiespage.h>`

Inheritance diagram for DiagramPropertiesPage:

## Signals
void | applyClicked ()

## Public Member Functions
| DiagramPropertiesPage (QWidget *parent, UMLScene *scene)
virtual | ~DiagramPropertiesPage ()
void | setDefaults ()
void | apply ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Protected Member Functions
bool | checkUniqueDiagramName ()
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)

## Protected Attributes
UMLScene * | m_scene
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Detailed Description

A dialog page to display diagram properties

## Constructor & Destructor Documentation

## ◆ DiagramPropertiesPage()

DiagramPropertiesPage::DiagramPropertiesPage | ( | QWidget * | parent,
|  | UMLScene * | scene
| ) |  |
| explicit

Constructor

Parameters

  parent | the parent (wizard) of this wizard page
  scene | the UMLScene to which the properties apply

## ◆ ~DiagramPropertiesPage()

DiagramPropertiesPage::~DiagramPropertiesPage | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ apply()

void DiagramPropertiesPage::apply | ( |  | ) |

Reads the set values from their corresponding widgets, writes them back to the data structure, and notifies clients.

## ◆ applyClicked

void DiagramPropertiesPage::applyClicked | ( |  | ) |
| signal

## ◆ checkUniqueDiagramName()

bool DiagramPropertiesPage::checkUniqueDiagramName | ( |  | ) |
| protected

Checks whether the diagram name is unique and sets it if it is.

## ◆ setDefaults()

void DiagramPropertiesPage::setDefaults | ( |  | ) |

sets default values

## Member Data Documentation

## ◆ m_scene

UMLScene* DiagramPropertiesPage::m_scene
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/diagrampropertiespage.h
- umbrello/dialogs/pages/diagrampropertiespage.cpp